import request from '@/utils/request'
// 查询护理类型信息列表
export function appointmentOrderDetailsList(query) {
    return request({
        url: 'system/appointmentOrder/list',
        method: 'get',
        params: query
    })
}


export function Detailed(id) {
    return request({
        url: `/system/appointmentOrderDetails/getCancelOrderInfo` + `?orderNo=${id}`,
        method: 'get',
 
    })
}

export function appointmentOrderDetails(id) {
    return request({
        url: `/system/appointmentOrderDetails/Detailed` + `?orderNo=${id}`,
        method: 'get',

    })
}

// 确定按钮
export function xylWeChatRefundNotify(data) {
    return request({

        url: '/nurseApp/weChatPayment/weChatRefundOrderApply',
        method: 'post',
        data: data
    })
}
//删除
export function deldetailed(appointmentOrderId) {
    return request({
        url: '/system/appointmentOrder/' + appointmentOrderId,
        method: 'post',

    })
}
// 派单
export function getPerson(query) {
    return request({
        url: '/system/appointmentOrder/getPerson',
        method: 'get',
        params: query

    })
}

// 确认派单
export function dispatchsubmit(data) {
    return request({
        url: '/system/appointmentOrder/dispatch',
        method: 'post',
        data: data
    })
}


// 确认取消订单
export function confirmCancel(appointmentOrderId) {
    return request({
        url: `/system/appointmentOrder/confirmCancel?appointmentOrderId=${appointmentOrderId}`,
        method: 'post'
    })
}
